package cn.wise.sc.consume.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-08-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RefEntityEnclosure implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 实体id
     */
    private Long entityId;

    /**
     * 实体类型（0:用户(头像),1:合同附件）
     */
    private Integer entityType;

    /**
     * 附件地址
     */
    private String enclosureUrl;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 是否删除(0:已经删除，1：未删除)
     */
    private Integer isDeleted;

    /**
     * 文件名
     */
    private String alias;

    /**
     * 扩展名
     */
    private String extName;


}
