package cn.wise.sc.consume.business.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-07-31
 */
@Data
public class CouponDetailDTO {

	@TableId(value = "id", type = IdType.AUTO)
	private Long id;

	@ApiModelProperty("优惠券表id")
	private Long couponId;

	@ApiModelProperty("券码（第三方生成）")
	private String couponCode;

	@ApiModelProperty("活动开始时间")
	private LocalDate startDate;

	@ApiModelProperty("活动结束时间")
	private LocalDate endDate;

	@ApiModelProperty("备注")
	private String remark;


}
